
.. _kill_cli:

kill
****







.. rubric:: Output of :code:`--help=kill`



The following help text is generated by :code:`ecflow_client --help=kill`

::

   
   kill
   ----
   
   Kills the job associated with the node.
   If a family or suite is selected, will kill hierarchically.
   Kill uses the ECF_KILL_CMD variable. After variable substitution it is invoked as a command.
   The command should be written in such a way that the output is written to %ECF_JOB%.kill
   as this allow the --file command to report the output: .e.e.
    /home/ma/emos/bin/ecfkill %USER% %HOST% %ECF_RID% %ECF_JOB% > %ECF_JOB%.kill 2>&1::
   Usage::
      --kill=/s1/f1/t1 /s1/f2/t2 # kill the jobs for tasks t1 and t2
      --file=/s1/f1/t1 kill      # write to standard out the '.kill' file for task /s1/f1/t1
   
   The client considers, for both user and child commands, the following environment variables:
   
     ECF_HOST <string> [mandatory*]
       The main server hostname; default value is 'localhost'
     ECF_PORT <int> [mandatory*]
       The main server port; default value is '3141'
     ECF_SSL <any> [optional*]
       Enable secure communication between client and server.
     ECF_HOSTFILE <string> [optional]
       File that lists alternate hosts to try, if connection to main host fails
     ECF_HOSTFILE_POLICY <string> [optional]
       The policy ('task' or 'all') to define which commands consider using alternate hosts.
   
   The options marked with (*) must be specified in order for the client to communicate
   with the server, either by setting the environment variables or by specifying the
   command line options.
   

